television(1)

NAME
television - A cross-platform, fast and extensible general purpose fuzzy finder TUI.

SYNOPSIS
television [-p|--preview] [--no-preview] [--delimiter] [-t|--tick-rate] [-f|--frame-rate] [-k|--keybindings] [-i|--input] [--custom-header] [--autocomplete-prompt] [--exact] [--select-1] [--no-remote] [--no-help] [--ui-scale] [-h|--help] [-V|--version] [CHANNEL] [PATH] [subcommands]

DESCRIPTION
A cross-platform, fast and extensible general purpose fuzzy finder TUI.

OPTIONS

-p, --preview=STRING
    A preview command to use with the stdin channel. If provided, the preview command will be executed and formatted using the entry. Example: "bat -n --color=always {}" (where {} will be replaced with the entry) Parts of the entry can be extracted positionally using the `delimiter` option. Example: "echo {0} {1}" will split the entry by the delimiter and pass the first two fields to the command.

--no-preview
    Disable the preview panel entirely on startup.

--delimiter=STRING [default:  ]
    The delimiter used to extract fields from the entry to provide to the preview command. See the `preview` option for more information.

-t, --tick-rate=FLOAT
    The application's tick rate. The tick rate is the number of times the application will update per second. This can be used to control responsiveness and CPU usage on very slow machines or very fast ones but the default should be a good compromise for most users.

-f, --frame-rate=FLOAT
    [DEPRECATED] Frame rate, i.e. number of frames to render per second. This option is deprecated and will be removed in a future release.

-k, --keybindings=STRING
    Keybindings to override the default keybindings. This can be used to override the default keybindings with a custom subset The keybindings are specified as a semicolon separated list of keybinding expressions using the configuration file formalism. Example: `tv --keybindings='quit="esc";select_next_entry=["down","ctrl-j"]'`

-i, --input=STRING
    Input text to pass to the channel to prefill the prompt. This can be used to provide a default value for the prompt upon startup.

--custom-header=STRING
    Input fields header title This can be used to give the input field a custom title e.g. the current working directory. The default value for the input header is the current channel.

--autocomplete-prompt=STRING
    Try to guess the channel from the provided input prompt. This can be used to automatically select a channel based on the input prompt by using the `shell_integration` mapping in the configuration file.

--exact
    Use substring matching instead of fuzzy matching. This will use substring matching instead of fuzzy matching when searching for entries. This is useful when the user wants to search for an exact match instead of a fuzzy match e.g. to improve performance.

--select-1
    Automatically select and output the first entry if there is only one entry. Note that most channels stream entries asynchronously which means that knowing if there's only one entry will require waiting for the channel to finish loading first. For most channels and workloads this shouldn't be a problem since the loading times are usually very short and will go unnoticed by the user.

--no-remote
    Disable the remote control. This will disable the remote control panel and associated actions entirely. This is useful when the remote control is not needed or when the user wants `tv` to run in single-channel mode (e.g. when using it as a file picker for a script or embedding it in a larger application).

--no-help
    Disable the help panel. This will disable the help panel and associated toggling actions entirely. This is useful when the help panel is not needed or when the user wants `tv` to run with a minimal interface (e.g. when using it as a file picker for a script or embedding it in a larger application).

--ui-scale=INTEGER [default: 100]
    Change the display size in relation to the available area. This will crop the UI to a centered rectangle of the specified percentage of the available area (e.g. 0.5 for 50% x 50%).

-h, --help
    Print help (see a summary with '-h')

-V, --version
    Print version

[CHANNEL]
    Which channel shall we watch? A list of the available channels can be displayed using the `list-channels` command. The channel can also be changed from within the application.

[PATH]
    The working directory to start the application in. This can be used to specify a different working directory for the application to start in. This is useful when the application is started from a different directory than the one the user wants to interact with.

SUBCOMMANDS

television-list-channels(1)
    Lists the available channels

television-init(1)
    Initializes shell completion ("tv init zsh")

television-help(1)
    Print this message or the help of the given subcommand(s)

VERSION
v0.11.9

AUTHORS
Alexandre Pasmantier <alex.pasmant@gmail.com>